## libkeepalive 0.2

=== Makefile ===
#   _ _ _     _                         _ _
#  | (_) |__ | | _____  ___ _ __   __ _| (_)_   _____
#  | | | '_ \| |/ / _ \/ _ \ '_ \ / _` | | \ \ / / _ \
#  | | | |_) |   <  __/  __/ |_) | (_| | | |\ V /  __/
#  |_|_|_.__/|_|\_\___|\___| .__/ \__,_|_|_| \_/ \___|
#                          |_|
#
#  (C) Fabio Busatto <fabio.busatto@sikurezza.org>

default:
	make -C src/
	make -C test/
	cp src/libkeepalive.so libkeepalive.so
	strip -s libkeepalive.so

clean:
	make -C src/ clean
	make -C test/ clean
	rm -f libkeepalive.so

=== src/Makefile ===
#   _ _ _     _                         _ _
#  | (_) |__ | | _____  ___ _ __   __ _| (_)_   _____
#  | | | '_ \| |/ / _ \/ _ \ '_ \ / _` | | \ \ / / _ \
#  | | | |_) |   <  __/  __/ |_) | (_| | | |\ V /  __/
#  |_|_|_.__/|_|\_\___|\___| .__/ \__,_|_|_| \_/ \___|
#                          |_|
#
#  (C) Fabio Busatto <fabio.busatto@sikurezza.org>

CC=gcc
CFLAGS=-fPIC
LDFLAGS=-shared -Wl,-soname,libkeepalive.so
LDLIBS=-ldl

default: libkeepalive.so

%.so: %.o
	$(CC) $(LDFLAGS) -o $@ $< $(LDLIBS)

clean:
	rm -f *.so *.o

=== test/Makefile ===
#   _ _ _     _                         _ _
#  | (_) |__ | | _____  ___ _ __   __ _| (_)_   _____
#  | | | '_ \| |/ / _ \/ _ \ '_ \ / _` | | \ \ / / _ \
#  | | | |_) |   <  __/  __/ |_) | (_| | | |\ V /  __/
#  |_|_|_.__/|_|\_\___|\___| .__/ \__,_|_|_| \_/ \___|
#                          |_|
#
#  (C) Fabio Busatto <fabio.busatto@sikurezza.org>

CC=gcc

default: test

clean:
	rm -f test

=== debian/changelog ===
libkeepalive (0.2-1) unstable; urgency=low

  * Initial package. (Closes: #700518)
  
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Feb 2013 18:00:00 +0100

=== debian/control ===
Source: libkeepalive
Section: libs
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9)
Homepage: https://github.com/sengaya/libkeepalive

Package: libkeepalive0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: enable tcp keepalive support in programs using shared libraries
 Many systems provide the ability to keep tcp connections alive, so they
 aren't reset by peers or by routers because of inactivity.
 .
 Even if this feature is present, only a few programs correctly implement
 the code to use it. If your favourite foo-client is not written with
 support for tcp keepalive, you'll continue to see your connection reset.
 .
 libkeepalive library provides a way to enable tcp keepalive support in
 any program that uses shared libraries (e.g.: glibc shared object) to
 perform network operations. Using the preload method, you will be able to
 intercept normal program execution and to inject the code needed to enable
 the keepalive routines, everything done without modifying the original
 binary file and with no need to gain root privileges.

=== debian/watch ===
version=3
#
# there is no release in tarball
# the source needs to be cloned from github

## libkeepalive 0.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  |_|_|_.__/|_|\_\___|\___| .__/ \__,_|_|_| \_/ \___|
 #                          |_|
 #
-#  (C) Fabio Busatto <fabio.busatto@sikurezza.org>
+#  (C) Fabio Busatto <fabio.busatto@gmail.com>
 
 default:
 	make -C src/

=== src/Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 #  |_|_|_.__/|_|\_\___|\___| .__/ \__,_|_|_| \_/ \___|
 #                          |_|
 #
-#  (C) Fabio Busatto <fabio.busatto@sikurezza.org>
+#  (C) Fabio Busatto <fabio.busatto@gmail.com>
 
 CC=gcc
-CFLAGS=-fPIC
+CFLAGS=-fPIC -ansi -pedantic -Wall
 LDFLAGS=-shared -Wl,-soname,libkeepalive.so
 LDLIBS=-ldl

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  |_|_|_.__/|_|\_\___|\___| .__/ \__,_|_|_| \_/ \___|
 #                          |_|
 #
-#  (C) Fabio Busatto <fabio.busatto@sikurezza.org>
+#  (C) Fabio Busatto <fabio.busatto@gmail.com>
 
 CC=gcc

=== debian/changelog ===
libkeepalive (0.3-2) unstable; urgency=medium

  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/control: use dh11
  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Dec 2018 19:00:00 +0100

libkeepalive (0.3-1) unstable; urgency=medium

  * new upstream version
  * debian/copyright: upstream changed license to Expat
  * debian/control: bump standard to 3.9.8 (no changes)
  * debian/control: homepage is on sourceforge
  * debian/watch: add watch file
  * debian/get-orig-source is no longer needed -> deleted
  * remove debian/postinst and debian/postrm as they are
    only used to call ldconfig
  * add "-z now" to LDFLAGS

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Nov 2016 19:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9)
-Homepage: https://github.com/sengaya/libkeepalive
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11)
+Homepage: http://libkeepalive.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/alteholz/libkeepalive
+Vcs-Git: https://salsa.debian.org/alteholz/libkeepalive.git
 
 Package: libkeepalive0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PREFIX = ./debian/libkeepalive
LIBDIR = $(PREFIX)/usr/lib/

%:
	dh $@

get-orig-source:
	./debian/get-orig-source

=== debian/watch ===
version=3
http://sf.net/libkeepalive/libkeepalive-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
